org.osgi.framework.wiring.dto

## Class FrameworkWiringDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.framework.wiring.dto.FrameworkWiringDTO

    public class FrameworkWiringDTO
    extends DTO

Data Transfer Object for the wiring graph of the framework.

The system bundle can be adapted to provide the `FrameworkWiringDTO`. Only the system bundle can be adapted to a `FrameworkWiringDTO` object

Since:
  1.3
Author:
  $Id: 1786218bfe09a4d46d9041d96d01b2a71612eb0d $

### Field Summary

Fields
`Set<BundleRevisionDTO>` `resources` The set of resources referenced by the wiring graph of the framework.
`Set<BundleWiringDTO.NodeDTO>` `wirings` The set of wiring nodes referenced by the wiring graph of the framework.

### Constructor Summary

Constructors
Constructor and Description
`FrameworkWiringDTO()`

### Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### wirings

    public Set<BundleWiringDTO.NodeDTO> wirings

The set of wiring nodes referenced by the wiring graph of the framework.

All wiring nodes referenced by wiring node identifiers in the wiring graph are contained in this set.

#### resources

    public Set<BundleRevisionDTO> resources

The set of resources referenced by the wiring graph of the framework.

All resources referenced by resource identifiers in the wiring graph are contained in this set.

### Constructor Detail

#### FrameworkWiringDTO

    public FrameworkWiringDTO()